org.eclipse.net4j.buffer

## Interface IBufferPool.Introspection

- All Superinterfaces:
    IBufferPool, IBufferProvider, IBufferProvider.Introspection
  Enclosing interface:
    IBufferPool

      public static interface IBufferPool.Introspection
      extends IBufferPool, IBufferProvider.Introspection

  Offers additional introspection features for `IBufferPool`s.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferPool

      `IBufferPool.Introspection`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPooledBuffers()` Returns the number of buffers that are currently pooled in this `BufferPool`.

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferPool

      `evict, evictOne`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider.Introspection

      `getProvidedBuffers, getRetainedBuffers`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

      `getBufferCapacity, provideBuffer, retainBuffer`

- - ### Method Detail

    - #### getPooledBuffers

          int getPooledBuffers()

      Returns the number of buffers that are currently pooled in this `BufferPool`.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html